project-navigation
Personal tools

Author Topic: Couldn't find ufos/entities.ufo  (Read 4389 times)

Offline EagleV

  • Rookie
  • ***
  • Posts: 10
    • View Profile
Couldn't find ufos/entities.ufo
« on: December 23, 2009, 04:22:25 pm »
When running Uforadiant in Vista, I get this message. Clicking 'OK' takes me to radiant, where I can do everything I want, untill I get to enable lighting. However I still get some error messages at startup (below). Following the 'for dummies', I tried to do the lighting as follows:

First, type 'l' for a list of entities-doesn't work. Neither does L, ctrl-l or alt-l or -L, and a quick check at the hotkeys shows that there is no such thing as an 'entity list'. So, I try using the tree-type browser on the right instead, and go to world-something. Then, to get the values I needed, I should press n - again no working combination, and no related option in the key listing. There is a form that says 'values' on the lower-right, though I can't do anything with it. Double-clicking the world-something crashes to desktop because 'stackspace is not implemented' whereafter I need 20 or so enters to get the error pop-ups away.

Paths are set, reset, checked, doublechecked, and redoublechecked, so I'm fairly confident those are OK - unless radiant doesn't recognize dashes in a pathname.

Help?

(Is there a spoiler tag?)

The errors:
(At startup, dialog box)
Code: [Select]
Could not load ufos/entities.ufo
(At startup, in console-thing lower side of the screen)
Code: [Select]
**-Message: OpenGL window configuration: colour-buffer = 32bpp, depth-buffer = none
OpenGL window configuration: colour-buffer = 32bpp, depth-buffer = 32bpp
**-Message: OpenGL window configuration: colour-buffer = 32bpp, depth-buffer = none
**-WARNING **: Shortcut not registered: 'CameraFreeMoveBack'
**-WARNING **: Shortcut not registered: 'CameraFreeMoveDown'
**-WARNING **: Shortcut not registered: 'CameraFreeMoveForward'
**-WARNING **: Shortcut not registered: 'CameraFreeMoveLeft'
**-WARNING **: Shortcut not registered: 'CameraFreeMoveRight'
**-WARNING **: Shortcut not registered: 'CameraFreeMoveUp'
**-WARNING **: Shortcut not registered: 'NextView'
**-WARNING **: Shortcut not registered: 'ToggleCamera'
**-WARNING **: Shortcut not registered: 'ToggleParticleBrowser'
**-WARNING **: Shortcut not registered: 'ToggleTextureBrowser'
**-WARNING **: Texture load failed: "textures/tex_common/actorclip"
**-WARNING **: Texture load failed: "textures/tex_common/nodraw"
**-WARNING **: Texture load failed: "textures/tex_common/caulk"
**-WARNING **: Texture load failed: "textures/tex_common/hint"
**-WARNING **: Texture load failed: "textures/tex_common/ladder"
**-WARNING **: Texture load failed: "textures/tex_common/origin"
**-WARNING **: Texture load failed: "textures/tex_common/slick"
**-WARNING **: Texture load failed: "textures/tex_common/trigger"
**-WARNING **: Texture load failed: "textures/tex_common/weaponclip"
**-Message: Showing 9 shaders.
**-Message: loading custom shortcuts list from C:/Users/SION/AppData/Roaming/UFOAI/radiant/shortcuts.ini
**-Message: commands import: data version 1:0 is compatible with code version 1:0
**-Message: parsed 129 custom shortcuts

(At doubleclick, dialog box)
Code: [Select]
This application has requested the Runtime to terminate in an unusual way. Please contact the applications support team for more information.
(Windows-dialog 'application has stopped working')

(Whole bunch of the following)
Code: [Select]
Stacktrace is not implemented on this platform.
---------------------------------------------------------
Please contact the developers

This is with uforadiant 1.5, I didn't even open the game itself but it's 2.2.1
« Last Edit: December 23, 2009, 04:24:34 pm by EagleV »

Offline Kildor

  • Project Artist
  • Captain
  • ***
  • Posts: 757
  • Project mapper and some other stuff`er
    • View Profile
    • http://ufoai.nx0.ru
Re: Couldn't find ufos/entities.ufo
« Reply #1 on: December 23, 2009, 05:39:35 pm »
where have you taken uforadiant?
It require ufoai 2.3 version for correct work.

Offline EagleV

  • Rookie
  • ***
  • Posts: 10
    • View Profile
Re: Couldn't find ufos/entities.ufo
« Reply #2 on: December 23, 2009, 06:22:58 pm »
There's a link in the tutorial, and the guy that made that used 2.1. I'll try with 2.3 though.

Offline Destructavator

  • Combination Multiple Specialty Developer
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 1908
  • Creater of Scorchcrafter, knows the zarakites...
    • View Profile
Re: Couldn't find ufos/entities.ufo
« Reply #3 on: December 23, 2009, 06:49:21 pm »
This map editor-only installer is fairly recent (for 2.3), it might work better but I didn't test it on Vista:

http://www.destructavator.com/92dl/uforadiant_r27596.zip

Offline EagleV

  • Rookie
  • ***
  • Posts: 10
    • View Profile
Re: Couldn't find ufos/entities.ufo
« Reply #4 on: December 23, 2009, 08:29:35 pm »
This map editor-only installer is fairly recent (for 2.3), it might work better but I didn't test it on Vista:

http://www.destructavator.com/92dl/uforadiant_r27596.zip


This gives almost the exact same error.

Offline Muton

  • Sergeant
  • *****
  • Posts: 496
    • View Profile
Re: Couldn't find ufos/entities.ufo
« Reply #5 on: December 23, 2009, 10:08:43 pm »
wrong path to radiant!

Offline EagleV

  • Rookie
  • ***
  • Posts: 10
    • View Profile
Re: Couldn't find ufos/entities.ufo
« Reply #6 on: December 24, 2009, 08:18:54 am »
What do you mean? Should I install radiant, or UFOAI somewhere else?

The paths are
C:/Program Files/UFOAI-2.2.1/
C:/Program Files/UFOAI-2.2.1/ufo2map.exe

which are both correct.

(Radiant is installed in Program Files/UFORadiant-1.5/)

Offline Kildor

  • Project Artist
  • Captain
  • ***
  • Posts: 757
  • Project mapper and some other stuff`er
    • View Profile
    • http://ufoai.nx0.ru
Re: Couldn't find ufos/entities.ufo
« Reply #7 on: December 24, 2009, 09:08:41 am »
uforadiant 1.5 require ufo:ai version 2.3.

Offline EagleV

  • Rookie
  • ***
  • Posts: 10
    • View Profile
Re: Couldn't find ufos/entities.ufo
« Reply #8 on: December 24, 2009, 09:44:56 am »
uforadiant 1.5 require ufo:ai version 2.3.
Downloading, but it goes sooo slow...

In the meantime, I'm off to play some 2.2 :)